package ex5;

public class Line extends Form {

	private Point secondPoint;

	public Line(Point firstPoint, char color, Point secondPoint) {
		super(firstPoint, color);
		this.secondPoint = secondPoint;
	}

	public boolean isOn(Point p) {
		return distance(p) < .5;		
	}
	
	public double distance(Point p)
	{
		double x0 = p.x;
		double y0 = p.y;
		double x1 = origin.x;
		double y1 = origin.y;
		double x2 = secondPoint.x;
		double y2 = secondPoint.y;
		return Math.abs(((x2-x1)*(y1-y0)-(x1-x0)*(y2-y1)))/
				Math.sqrt(((x2-x1)*(x2-x1)+(y2-y1)*(y2-y1)));
	}

	public void move(int x, int y) {
		super.move(x, y); //move first point
		secondPoint.move(x,y);
	}

	public double perimeter() {
		return origin.distanceTo(secondPoint);
	}
	
	public double area()
	{
		return 0;
	}
}
